%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global commit b666238

Name:           python-openid
Version:        2.2.5
Release:        1%{?dist}
Summary:        Python OpenID libraries

Group:          Development/Languages
License:        ASL 2.0
URL:            http://github.com/openid/python-openid
Source0:	http://download.github.com/openid-python-openid-%{version}-0-g%{commit}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
BuildRequires:  python-lxml
BuildRequires:  Django
Requires:       python-lxml

%description
The OpenID library with batteries included.

Features of the 2.x.x series include:

 * Refined and easy-to-use API.
 * Extensive documentation.
 * Many storage implemetations including file-based, sqlite,
   postgresql, and mysql.
 * Simple examples to help you get started.
 * Licensed under the Apache Software License.
 * Includes a Simple Registration API
 * Versions 1.x.x supports protocol version 1; versions 2.x.x support
   both major OpenID protocol versions transparently

%prep
%setup -q -n openid-python-openid-%{commit}
find . -type f | xargs chmod a-x

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

# temporarily disable tests to allow to build with Python 2.6
# https://bugzilla.redhat.com/show_bug.cgi?id=477947
#check
#{__python} admin/runtests

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc background-associations.txt LICENSE NEWS README examples
%{python_sitelib}/openid
%{python_sitelib}/python_openid-%{version}-py*.egg-info

%changelog
* Mon Aug  9 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.5-1
- Update to 2.2.5

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Feb 14 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.4-1
- Update to 2.2.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 26 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.2.1-3
- Temporarily disable tests to fix broken deps (#477947)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.2.1-2
- Rebuild for Python 2.6

* Mon Jul  7 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.1-1
- Update to 2.2.1

* Fri Jun  6 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.2.0-1
- Update to 2.2.0

* Sat Dec 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.1.1-2
- Ensure that python-lxml is present for ElementTree API support.

* Sat Dec 15 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.1.1-1
- Update to 2.1.1

* Thu Apr 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.0-1
- Update to 1.2.0

* Tue Dec  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.1-1
- First version for Fedora Extras

